Perl::Critic::Exception::Fatal(3)

NAME
Perl::Critic::Exception::Fatal - A problem that should cause Perl::Critic to stop running.

DESCRIPTION
Something went wrong and processing should not continue. You should never specifically look for this exception or one of its subclasses.

Note: the constructor invokes "show_trace" in Exception::Class to force stack-traces to be included in the standard stringification.

This is an abstract class. It should never be instantiated.

INTERFACE SUPPORT
This is considered to be a public class. Any changes to its interface will go through a deprecation cycle.

METHODS

"full_message()"
    Overrides "full_message" in Exception::Class to include extra information.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2007-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.